package org.q.app.config;

import java.io.IOException;

import org.q.app.vfs.UrlResolver;
import org.q.toolkit.io.RuntimeIOException;

/**
 * This class resolves the original resources that are shipped as part of the application.
 * 
 * @author Erik Lievaart
 */
public class ApplicationResources extends AbstractResources {

	@Override
	String getResourceDir() {
		try {
			return UrlResolver.resolve(ResourcePaths.APPLICATION_CONFIG_DIR).getAbsolutePath();
		} catch (IOException e) {
			throw new RuntimeIOException("Unable to read config path " + e.getMessage(), e);
		}
	}

}
