package org.q.app.contract;

import java.util.Map;

import org.q.toolkit.lang.concurrent.Prototype;

/**
 * This interface offers access to all Q variables. It can be injected into ShellCommands that need to know about the
 * selection and locations open in both file browser lists.
 * 
 * @author Erik Lievaart
 */
@Prototype
public interface PluginContext {

	/**
	 * Get the variable Map.
	 * 
	 * @return the Q variables.
	 */
	public Map<String, String> getVariables();

}
