package org.q.app.contract;

/**
 * This Exception is used to signal that the ShellCommand was aborted, because the Thread has been interrupted. This
 * Exception should only be thrown by ShellCommands that are annotated with Concurrency(ThreadPolicy.SINGLE) and only if
 * the Thread running the job is marked as interrupted. ShellCommands that run in a single Thread typically drop their
 * job if a new job arrives. Throwing this Exception will cause the current job to stop without annoying the user with
 * an Error message.
 * 
 * @see org.q.app.contract.annotation.Concurrency
 * @see ThreadPolicy
 * @author Erik Lievaart
 */
public class SingleThreadInterruptedException extends RuntimeException {
}
