package org.q.app.engine.meta;

import java.util.List;
import java.util.Map;

import org.q.toolkit.lang.Check;
import org.q.toolkit.lang.collection.MultiMap;
import org.q.toolkit.lang.collection.NewCollection;
import org.q.toolkit.lang.concurrent.RaceCondition;

@RaceCondition("This class is absolutely not thread safe!")
class FlagGroupMetadataB {

	private final String plugin; // Can use this for user template name as well (not implemented).

	MultiMap<String, FlagMetadata> groups = new MultiMap<String, FlagMetadata>();
	Map<String, FlagMetadata> primary = NewCollection.map();

	FlagGroupMetadataB(final String plugin) {
		this.plugin = plugin;
	}

	void addFlag(final String group, final FlagMetadata fm, final boolean isPrimary) {
		groups.add(group, fm);

		if (isPrimary) {
			Check.isFalse(primary.containsKey(group), "Duplicate primary @Flag for group % on %", group, plugin);
			primary.put(group, fm);
		}
	}

	List<FlagGroupMetadata> createList() {
		List<FlagGroupMetadata> result = NewCollection.list();

		for (String group : groups.keySet()) {
			result.add(new FlagGroupMetadata(group, groups.get(group), primary.get(group)));
		}
		return result;
	}
}
