package org.q.app.engine.parse;

import org.q.toolkit.lang.Str;

/**
 * This Exception signals that the parser was expecting a Q command, but encountered different input instead.
 * 
 * @author Erik Lievaart
 */
public class ShellCommandMissingException extends ShellParseException {

	ShellCommandMissingException(final String message) {
		super(message);
	}

	static void on(final boolean condition, final String format, final Object... args)
			throws ShellCommandMissingException {
		if (condition) {
			throw new ShellCommandMissingException(Str.sub(format, args));
		}
	}

	static void unless(final boolean condition, final String format, final Object... args)
			throws ShellCommandMissingException {
		if (!condition) {
			throw new ShellCommandMissingException(Str.sub(format, args));
		}
	}
}
