package org.q.app.ui.bind;

import java.util.List;

import org.q.toolkit.lang.Check;
import org.q.toolkit.lang.CollectionCheck;
import org.q.toolkit.lang.pattern.PatternTool;

class BindingEntry {

	private final String actionId;
	private final String componentId;
	private final String binding;

	public BindingEntry(final String key, final String value) {
		Check.notEmpty(value);
		actionId = value.trim();

		List<String> groups = parse(key);
		componentId = groups.get(1);
		binding = groups.get(2);
	}

	private List<String> parse(final String key) {
		Check.notEmpty(key);
		List<String> groups = PatternTool.getGroups("([^:$\\s]++):?+(.++)", key.trim());
		CollectionCheck.notEmpty(groups, "Unable to parse entry %", key);
		return groups;
	}

	String getComponentId() {
		return componentId;
	}

	String getActionId() {
		return actionId;
	}

	String getBinding() {
		return binding;
	}

}
