package org.q.toolkit.convert;

import org.q.toolkit.lang.concurrent.ThreadSafe;

/**
 * Validates that input String's pass custom requirements.
 * 
 * @author Erik Lievaart
 */
@ThreadSafe
public interface Validator {

	/**
	 * Is the input String valid?
	 */
	boolean isValid(String value);

	/**
	 * Throws a ConversionException if the input String is not valid.
	 */
	void check(String value) throws ConversionException;
}
