package org.q.toolkit.io;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class PropertiesIO {

	public static void store(Properties props, File file) throws IOException {
		store(props, new FileOutputStream(file));
	}

	public static void store(Properties props, FileOutputStream os) throws IOException {
		try {
			props.store(os, null);
		} finally {
			os.close();
		}
	}

	public static Properties load(File file) throws IOException {
		return load(new FileInputStream(file));
	}

	public static Properties load(InputStream is) throws IOException {
		Properties props = new Properties();

		try {
			props.load(is);
		} finally {
			is.close();
		}
		return props;
	}

}
