package org.q.toolkit.swing.menu;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import org.q.toolkit.lang.Check;
import org.q.toolkit.reflect.annotations.AnnotationTool;

public class ReflectionMenuBuilder {

	public JMenuBar createMenuBar(Object... items) {
		JMenuBar bar = new JMenuBar();
		for (Object menu : items) {
			bar.add(createJMenu(menu));
		}
		return bar;
	}

	public JMenu createJMenu(Object items) {
		Check.notNull(items);
		Menu annotation = AnnotationTool.getLiteralAnnotation(items.getClass(), Menu.class);
		Check.notNull(annotation, "Class % not annotated with @Menu", items.getClass());
		Check.notNull(annotation.text());

		JMenu menu = new JMenu(annotation.text());
		for (NamedAction action : ReflectionActionBuilder.createActions(items)) {
			menu.add(new JMenuItem(action));
		}
		return menu;
	}
}
